<?php
/**
 * Payment Modul fur s-publicservices.de GiroConnect
 *
 * PHP version 5
 *
 * @category  Payment
 * @package   Giroconnect
 * @author    OCS
 * @copyright 2015 s-publicservices.de
 * @license   http://opensource.org/licenses/gpl-2.0.php GNU Public License *
 * @version   4.1.8
 * @link      http://www.s-publicservices.de
 * @link      http://www.gambio.de
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 2 of the License
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 * USA
 */
// Konfiguration laden.
chdir('../../');
include_once 'includes/application_top.php';

if (file_exists(DIR_FS_CATALOG . 'includes/classes/giroconnect/library/GiroCheckout_SDK/GiroCheckout_SDK.php') === true) {
  include_once DIR_FS_CATALOG . 'includes/classes/giroconnect/library/GiroCheckout_SDK/GiroCheckout_SDK.php';
} else {
  include_once 'includes/classes/giroconnect/library/GiroCheckout_SDK/GiroCheckout_SDK.php';
}
GiroCheckout_SDK_Config::getInstance()->setConfig('DEBUG_LOG_PATH',  DIR_FS_CATALOG.'log/girocheckout');
GiroCheckout_SDK_Config::getInstance()->setConfig('DEBUG_MODE',1);

$lang = 'de';
if (isset($_SESSION['language_code'])) {
  if (substr($_SESSION['language_code'], 0, 2) == 'en') {
    $lang = 'en';
  }
}
$paymentSuccess = false;
$paymentMsg = '';
// Parameter aus URL lesen.
$data = $_GET;
$pm = $data['pm'];

// Verbindung zur Datenbank aufbauen.
if (!xtc_db_connect()) {
  // Benachrichtigung soll nochmals erfolgen.
  header('HTTP/1.1 400 Bad Request');
  echo "ERROR: Database connention error.";
  exit;
}

// Konfigurations-Parameter laden.
$configuration_query = xtc_db_query('select configuration_key as cfgKey,configuration_value as cfgValue from ' . TABLE_CONFIGURATION);
while ($configuration = xtc_db_fetch_array($configuration_query)) {
  define($configuration['cfgKey'], $configuration['cfgValue']);
}

if (defined('MODULE_PAYMENT_' . strtoupper($pm) . '_MERCHANTID')) {
  $merchantId = (int) constant('MODULE_PAYMENT_' . strtoupper($pm) . '_MERCHANTID');
}
if (defined('MODULE_PAYMENT_' . strtoupper($pm) . '_PROJECTID')) {
  $projectId = (int) constant('MODULE_PAYMENT_' . strtoupper($pm) . '_PROJECTID');
}
if (defined('MODULE_PAYMENT_' . strtoupper($pm) . '_PASSWORD')) {
  $projectPassword = constant('MODULE_PAYMENT_' . strtoupper($pm) . '_PASSWORD');
}
if (defined("MODULE_PAYMENT_" . strtoupper($pm) . "_DELETE_ORDER")) {
  $delete_order = ((constant('MODULE_PAYMENT_' . strtoupper($pm) . '_DELETE_ORDER') == 'True') ? true : false);
}

try {
  $paymentMsg = "";

  switch ($pm) {
    case "gc_giropay":
        //Get the notification
      $notify = new GiroCheckout_SDK_Notify('giropayTransaction');
      $notify->setSecret($projectPassword);
      $notify->parseNotification($data);
      break;

    case "gc_creditcard":
      //Get the notification
      $notify = new GiroCheckout_SDK_Notify('creditCardTransaction');
      $notify->setSecret($projectPassword);
      $notify->parseNotification($data);
      break;

    case "gc_ideal":
      //Get the notification
      $notify = new GiroCheckout_SDK_Notify('idealPayment');
      $notify->setSecret($projectPassword);
      $notify->parseNotification($data);
      unset($_SESSION["GiroCheckoutIssuerList"]);
      break;

    case "gc_eps":
      //Get the notification
      $notify = new GiroCheckout_SDK_Notify('epsTransaction');
      $notify->setSecret($projectPassword);
      $notify->parseNotification($data);
      break;

    case 'gc_sofortuw':
      //Get the notification
      $notify = new GiroCheckout_SDK_Notify('sofortuwTransaction');
      $notify->setSecret($projectPassword);
      $notify->parseNotification($data);
      break;

    case 'gc_paydirekt':
      //Get the notification
      $notify = new GiroCheckout_SDK_Notify('paydirektTransaction');
      $notify->setSecret($projectPassword);
      $notify->parseNotification($data);
      break;

    case 'gc_gcdirectdebit':
    //Get the notification
    $notify = new GiroCheckout_SDK_Notify('directDebitTransactionWithPaymentPage');
    $notify->setSecret($projectPassword);
    $notify->parseNotification($data);
    break;

    case "gc_maestro":
      //Get the notification
      $notify = new GiroCheckout_SDK_Notify('maestroTransaction');
      $notify->setSecret($projectPassword);
      $notify->parseNotification($data);
      break;

    case "gc_bluecode":
      //Get the notification
      $notify = new GiroCheckout_SDK_Notify('blueCodeTransaction');
      $notify->setSecret($projectPassword);
      $notify->parseNotification($data);
      break;


    default:
      $notify->sendBadRequestStatus(); //400
      $notify->setNotifyResponseParam('Result', 'ERROR');
      $notify->setNotifyResponseParam('ErrorMessage', 'ERROR: Payment method not valid.');
      $notify->setNotifyResponseParam('MailSent', '');
      $notify->setNotifyResponseParam('OrderId', '');
      $notify->setNotifyResponseParam('CustomerId', '');
      echo $notify->getNotifyResponseStringJson();
      exit;
      break;
  }

  //loads transaction
  if (isset($data['gcMerchantTxId'])) {
    $gc_tx_id = $data['gcMerchantTxId'];

    //Get order_id from gc_transactions TABLE
    $transaction_query = xtc_db_query("SELECT order_id, tx_status FROM gc_transactions WHERE tx_id  = " . xtc_db_input($gc_tx_id));
    $transaction = xtc_db_fetch_array($transaction_query);
    $transactionId = $transaction["order_id"];
  }

  //does transaction exist
  if (!isset($transactionId)) { // Benachrichtigung soll nochmals erfolgen.
    $notify->sendBadRequestStatus(); //400
    $notify->setNotifyResponseParam('Result', 'ERROR');
    $notify->setNotifyResponseParam('ErrorMessage', 'ERROR: Transaction not found.');
    $notify->setNotifyResponseParam('MailSent', '');
    $notify->setNotifyResponseParam('OrderId', '');
    $notify->setNotifyResponseParam('CustomerId', '');
    echo $notify->getNotifyResponseStringJson();
    exit;
  } else {
    $orderId = $transaction["order_id"];

    $order_status_query = xtc_db_query("SELECT IF(COUNT(*) > 0, 'paid', 'open') AS payment_status FROM gc_transactions WHERE order_id  = " . $orderId . " AND tx_status = 2");
    $order_status = xtc_db_fetch_array($order_status_query);
    $payment_status = $order_status["payment_status"];
  }

  $iOrderId = $transactionId;

  //check if payment was successful.
  if( !$notify->paymentSuccessful() ) {
    $iReturnCode = $notify->getResponseParam('gcResultPayment');
    $newStatus = constant('MODULE_PAYMENT_' . strtoupper($pm) . '_ORDER_STATUS_ID_ERROR');
    $paymentMsg = $notify->getResponseMessage($iReturnCode, strtoupper($lang));
    $strGcBackendTxId = $notify->getResponseParam('gcBackendTxId');
    $strGcReference = $notify->getResponseParam('gcReference');

    if( $pm == "gc_giropay" ) {
      if( !$notify->avsSuccessful() && $notify->getResponseParam('gcResultAVS') != "4900" ) {
        $iReturnCodeAVS = $notify->getResponseParam('gcResultAVS');
        $paymentAVSMsg = $notify->getResponseMessage($iReturnCodeAVS, strtoupper($lang));
        if( !empty($paymentAVSMsg) ) {
          $paymentMsg .= " (" . $paymentAVSMsg . ")";
        }
      }
    }

    $comment_order_status_history = $pm . ' (txId' . xtc_db_input($gc_tx_id) . ') payment error:  ' . utf8_decode($paymentMsg);


    //Change giroconnect transaction to failed status.
    xtc_db_query("update gc_transactions set time_finished = " . strtotime("now") . ", reference = '" . xtc_db_input($strGcReference) . "', backend_tx_id = '" . xtc_db_input($strGcBackendTxId) . "', result_payment = " . xtc_db_input($iReturnCode) . ", result_payment_msg = '" . xtc_db_input($paymentMsg) . "', tx_status = 3 where tx_id = '" . xtc_db_input($gc_tx_id) . "'");

    if ($delete_order) {
      $check_query = xtc_db_query('select orders_id from ' . TABLE_ORDERS . ' where orders_id = "' . (int) $transactionId . '" limit 1');
      if (xtc_db_num_rows($check_query) > 0) {
        xtc_db_query('delete from ' . TABLE_ORDERS . ' where orders_id = "' . (int) $transactionId . '"');
        xtc_db_query('delete from ' . TABLE_ORDERS_TOTAL . ' where orders_id = "' . (int) $transactionId . '"');
        xtc_db_query('delete from ' . TABLE_ORDERS_STATUS_HISTORY . ' where orders_id = "' . (int) $transactionId . '"');
        xtc_db_query('delete from ' . TABLE_ORDERS_PRODUCTS . ' where orders_id = "' . (int) $transactionId . '"');
        xtc_db_query('delete from ' . TABLE_ORDERS_PRODUCTS_ATTRIBUTES . ' where orders_id = "' . (int) $transactionId . '"');
        xtc_db_query('delete from ' . TABLE_ORDERS_PRODUCTS_DOWNLOAD . ' where orders_id = "' . (int) $transactionId . '"');
      }
      unset($_SESSION['cart_GC_ID']);
    }
  } 
  else {
    $iReturnCode = $notify->getResponseParam('gcResultPayment');
    $paymentSuccess = true;
    $newStatus = constant('MODULE_PAYMENT_' . strtoupper($pm) . '_ORDER_STATUS_ID_OK');
    $paymentMsg = $notify->getResponseMessage($iReturnCode, strtoupper($lang));
    $strGcBackendTxId = $notify->getResponseParam('gcBackendTxId');
    $strGcReference = $notify->getResponseParam('gcReference');
    $comment_order_status_history = 'payment with '. $pm .' successful';

    //Change giroconnect transaction to successful status.
    xtc_db_query("update gc_transactions set time_finished = " . strtotime("now") . ", reference = '" . xtc_db_input($strGcReference) . "', backend_tx_id = '" . xtc_db_input($strGcBackendTxId) . "', result_payment = " . xtc_db_input($iReturnCode) . ", result_payment_msg = '" . xtc_db_input($paymentMsg) . "', tx_status = 2 where tx_id = '" . xtc_db_input($gc_tx_id) . "'");

    // send email
    $smarty = new Smarty;
    require_once DIR_WS_CLASSES . 'order.php';
    $insert_id = $transactionId;

    //    include_once 'send_order.php';
    /************************************************************************************************/
    require_once (DIR_FS_INC . 'xtc_get_order_data.inc.php');
    require_once (DIR_FS_INC . 'xtc_get_attributes_model.inc.php');

    $order = new order($insert_id);
    $iCustomerId = $order->customer['id'];

    //BOF - web28 - 2010-03-20 - Send Order by Admin
    if (isset($send_by_admin)) { //DokuMan - 2010-09-18 - Undefined variable: send_by_admin
      $xtPrice = new xtcPrice($order->info['currency'], $order->info['status']);
    }

    $smarty->assign('address_label_customer', xtc_address_format($order->customer['format_id'], $order->customer, 1, '', '<br />'));
    $smarty->assign('address_label_shipping', xtc_address_format($order->delivery['format_id'], $order->delivery, 1, '', '<br />'));
    if (!isset($_SESSION['credit_covers']) || $_SESSION['credit_covers'] != '1') {
      $smarty->assign('address_label_payment', xtc_address_format($order->billing['format_id'], $order->billing, 1, '', '<br />'));
    }
    $smarty->assign('csID', $order->customer['csID']);

    $order_total = $order->getTotalData($insert_id); //ACHTUNG f?r Bestellbest?tigung  aus Admin Funktion in admin/includes/classes/order.php
    $smarty->assign('order_data', $order->getOrderData($insert_id)); //ACHTUNG f?r Bestellbest?tigung  aus Admin Funktion in admin/includes/classes/order.php
    $smarty->assign('order_total', $order_total['data']);

    // assign language to template for caching Web28 2012-04-25 - change all $_SESSION['language'] to $order->info['language']
    $smarty->assign('language', $order->info['language']);
    $smarty->assign('tpl_path', 'templates/' . CURRENT_TEMPLATE . '/');
    $smarty->assign('logo_path', HTTP_SERVER . DIR_WS_CATALOG . 'templates/' . CURRENT_TEMPLATE . '/img/');
    //$smarty->assign('oID', $insert_id);
    $smarty->assign('oID', $order->info['order_id']); //DokuMan - 2011-08-31 - fix order_id assignment
    if ($order->info['payment_method'] != '' && $order->info['payment_method'] != 'no_payment') {
      if (isset($send_by_admin)) { // web28 - 2010-03-20 - Send Order by Admin - $send_by_admin is defined in /admin/orders.php
        include (DIR_FS_LANGUAGES . $order->info['language'] . '/modules/payment/' . $order->info['payment_method'] . '.php'); //DokuMan - 2010-09-18 - Undefined variable: send_by_admin
      } else {
        include (DIR_WS_LANGUAGES . $order->info['language'] . '/modules/payment/' . $order->info['payment_method'] . '.php');
      }
      $payment_method = constant(strtoupper('MODULE_PAYMENT_' . $order->info['payment_method'] . '_TEXT_TITLE'));
    }
    $smarty->assign('PAYMENT_METHOD', $payment_method);
    $smarty->assign('DATE', xtc_date_long($order->info['date_purchased']));
    $smarty->assign('NAME', $order->customer['name']);

    //BOF - web28 - 2010-08-20 - Fix for more personalized e-mails to the customer (show salutation and surname)
    $gender_query = xtc_db_query("SELECT customers_gender FROM " . TABLE_CUSTOMERS . " WHERE customers_id = '" . $order->customer['id'] . "'");
    $gender       = xtc_db_fetch_array($gender_query);
    if ($gender['customers_gender'] == 'f') {
      $smarty->assign('GENDER', FEMALE);
    } elseif ($gender['customers_gender'] == 'm') {
      $smarty->assign('GENDER', MALE);
    } else {
      $smarty->assign('GENDER', '');
    }
    //EOF - web28 - 2010-08-20 - Fix for more personalized e-mails to the customer (show salutation and surname)

    //BOF - web28 - 2010-08-20 - Erweiterung Variablen f?r Best?tigungsmail
    $smarty->assign('CITY', $order->customer['city']);
    $smarty->assign('POSTCODE', $order->customer['postcode']);
    $smarty->assign('STATE', $order->customer['state']);
    $smarty->assign('COUNTRY', $order->customer['country']);
    $smarty->assign('COMPANY', $order->customer['company']);
    $smarty->assign('STREET', $order->customer['street_address']);
    $smarty->assign('FIRSTNAME', $order->customer['firstname']);
    $smarty->assign('LASTNAME', $order->customer['lastname']);
    //EOF - web28 - 2010-08-20 - Erweiterung Variablen f?r Best?tigungsmail

    $smarty->assign('COMMENTS', $order->info['comments']);
    $smarty->assign('EMAIL', $order->customer['email_address']);
    $smarty->assign('PHONE', $order->customer['telephone']);

    //BOF  - web28 - 2010-03-27 PayPal Bezahl-Link
    unset ($_SESSION['paypal_link']);

    // dont allow cache
    $smarty->caching = 0;

    $html_mail = $smarty->fetch(CURRENT_TEMPLATE . '/mail/' . $order->info['language'] . '/order_mail.html');
    $txt_mail  = $smarty->fetch(CURRENT_TEMPLATE . '/mail/' . $order->info['language'] . '/order_mail.txt');

    // create subject
    $order_subject = str_replace('{$nr}', $insert_id, EMAIL_BILLING_SUBJECT_ORDER);
    $order_subject = str_replace('{$date}', xtc_date_long($order->info['date_purchased']), $order_subject); // Tomcraft - 2011-12-28 - Use date_puchased instead of current date in E-Mail subject
    $order_subject = str_replace('{$lastname}', $order->customer['lastname'], $order_subject);
    $order_subject = str_replace('{$firstname}', $order->customer['firstname'], $order_subject);

    // send mail to admin
    //BOF Dokuman - 2009-08-19 - BUGFIX: #0000227 customers surname in reply address in orders mail to admin
    //xtc_php_mail(EMAIL_BILLING_ADDRESS, EMAIL_BILLING_NAME, EMAIL_BILLING_ADDRESS, STORE_NAME, EMAIL_BILLING_FORWARDING_STRING, $order->customer['email_address'], $order->customer['firstname'], '', '', $order_subject, $html_mail, $txt_mail);
    xtc_php_mail(EMAIL_BILLING_ADDRESS, EMAIL_BILLING_NAME, EMAIL_BILLING_ADDRESS, STORE_NAME, EMAIL_BILLING_FORWARDING_STRING, $order->customer['email_address'], $order->customer['firstname'] . ' ' . $order->customer['lastname'], '', '', $order_subject, $html_mail, $txt_mail);
    //EOF Dokuman - 2009-08-19 - BUGFIX: #0000227 customers surname in reply address in orders mail to admin

    // send mail to customer
    //BOF - Dokuman - 2009-10-17 - Send emails to customer only, when set to "true" in admin panel
    //BOF - web28 - 2010-03-20 - Send Order by Admin
    //if (SEND_EMAILS == 'true') {
    if (SEND_EMAILS == 'true' || $send_by_admin) {
      //BOF - web28 - 2010-03-20 - Send Order by Admin
      //EOF - Dokuman - 2009-10-17 - Send emails to customer only, when set to "true" in admin panel
      xtc_php_mail(EMAIL_BILLING_ADDRESS, EMAIL_BILLING_NAME, $order->customer['email_address'], $order->customer['firstname'] . ' ' . $order->customer['lastname'], '', EMAIL_BILLING_REPLY_ADDRESS, EMAIL_BILLING_REPLY_ADDRESS_NAME, '', '', $order_subject, $html_mail, $txt_mail);
      //BOF - Dokuman - 2009-10-17 - Send emails to customer only, when set to "true" in admin panel
    }
    //EOF - Dokuman - 2009-10-17 - Send emails to customer only, when set to "true" in admin panel

    if (AFTERBUY_ACTIVATED == 'true') {
      require_once (DIR_WS_CLASSES . 'afterbuy.php');
      $aBUY = new xtc_afterbuy_functions($insert_id);
      if ($aBUY->order_send()) {
        $aBUY->process_order();
      }
    }
    
    //BOF - web28 - 2010-03-20 - Send Order by Admin
    if (isset($send_by_admin)) { //DokuMan - 2010-09-18 - Undefined variable: send_by_admin
      $customer_notified = '1';
      $orders_status_id  = '1';
      //Comment out the next line for setting  the $orders_status_id= '1 '- Auskommentieren der n?chste Zeile, um die $orders_status_id = '1' zu setzen
      ($order->info['orders_status'] < 1) ? $orders_status_id = '1' : $orders_status_id = $order->info['orders_status'];

      //web28 - 2011-03-20 - Fix order status
      xtc_db_query("UPDATE " . TABLE_ORDERS . "
        SET orders_status = '" . xtc_db_input($orders_status_id) . "',
        last_modified = now()
        WHERE orders_id = '" . xtc_db_input($insert_id) . "'");

      //web28 - 2011-08-26 - Fix order status history
      xtc_db_query("INSERT INTO " . TABLE_ORDERS_STATUS_HISTORY . "
        SET orders_id = '" . xtc_db_input($insert_id) . "',
        orders_status_id = '" . xtc_db_input($orders_status_id) . "',
        date_added = now(),
        customer_notified = '" . $customer_notified . "',
        comments = '" . COMMENT_SEND_ORDER_BY_ADMIN . "'");
    }
  }

  if ($payment_status == 'paid') { // Stops script, if payment already marked as successful.
    $paymentMsg = 'ERROR: order already marked as paid. (a successful transaction exists for this order)';
    $notify->sendOkStatus();
    $notify->setNotifyResponseParam('Result', 'ERROR');
    $notify->setNotifyResponseParam('ErrorMessage', $paymentMsg);
    $notify->setNotifyResponseParam('MailSent', '');
    $notify->setNotifyResponseParam('OrderId', $iOrderId);
    $notify->setNotifyResponseParam('CustomerId', $iCustomerId);
    echo $notify->getNotifyResponseStringJson();    
    exit;
  }

  // Pruefen, ob Bestellung existiert.
  $order_query = xtc_db_query('select * from ' . TABLE_ORDERS . " where orders_id = '" . xtc_db_input((int) $transactionId) . "'");

  if (xtc_db_num_rows($order_query) < 1) {
    // Bestellung nicht gefunden, Benachrichtigung soll nicht mehr erfolgen.
    $paymentMsg = "ERROR: order not found.";
    $notify->sendOkStatus();
    $notify->setNotifyResponseParam('Result', 'ERROR');
    $notify->setNotifyResponseParam('ErrorMessage', $paymentMsg);
    $notify->setNotifyResponseParam('MailSent', '');
    $notify->setNotifyResponseParam('OrderId', $iOrderId);
    $notify->setNotifyResponseParam('CustomerId', $iCustomerId);
    echo $notify->getNotifyResponseStringJson();    
    exit;
  }

  // Bestell-Status in Tabelle orders updaten.
  if (!xtc_db_query("update " . TABLE_ORDERS . " set orders_status = '" . xtc_db_input($newStatus) . "', last_modified = now() where orders_id = '" . xtc_db_input((int) $transactionId) . "' AND payment_class = '" . xtc_db_input($pm) . "'")) {
    $paymentMsg = "ERROR: order update error.";
    $notify->sendOkStatus();
    $notify->setNotifyResponseParam('Result', 'ERROR');
    $notify->setNotifyResponseParam('ErrorMessage', $paymentMsg);
    $notify->setNotifyResponseParam('MailSent', '');
    $notify->setNotifyResponseParam('OrderId', $iOrderId);
    $notify->setNotifyResponseParam('CustomerId', $iCustomerId);
    echo $notify->getNotifyResponseStringJson();    
    exit;
  }

  // Eintrag zur Historie der Bestellung hinzufuegen.
  $sql_data_array = array(
    'orders_id' => (int) $transactionId,
    'orders_status_id' => $newStatus,
    'date_added' => 'now()',
    'customer_notified' => (int) $paymentSuccess,
    'comments' => $comment_order_status_history
    );

  if (!xtc_db_perform(TABLE_ORDERS_STATUS_HISTORY, $sql_data_array)) {
    $paymentMsg = "ERROR: order history update error.";
    $notify->sendOkStatus();
    $notify->setNotifyResponseParam('Result', 'ERROR');
    $notify->setNotifyResponseParam('ErrorMessage', $paymentMsg);
    $notify->setNotifyResponseParam('MailSent', '');
    $notify->setNotifyResponseParam('OrderId', $iOrderId);
    $notify->setNotifyResponseParam('CustomerId', $iCustomerId);
    echo $notify->getNotifyResponseStringJson();    
    exit;
  }
  
  $notify->sendOkStatus();
  $notify->setNotifyResponseParam('Result', 'OK');
  $notify->setNotifyResponseParam('ErrorMessage', '');
  $notify->setNotifyResponseParam('MailSent', '');
  $notify->setNotifyResponseParam('OrderId', $iOrderId);
  $notify->setNotifyResponseParam('CustomerId', $iCustomerId); 
  echo $notify->getNotifyResponseStringJson();
  exit;
} catch (Exception $e) {
  $newStatus = constant('MODULE_PAYMENT_' . strtoupper($pm) . '_ORDER_STATUS_ID_ERROR');
  $paymentMsg = GiroCheckout_SDK_ResponseCode_helper::getMessage(5100, strtoupper($lang));
  $comment_order_status_history = $pm .' payment error:  ' . $paymentMsg;

  //Change giroconnect transaction to failed status.
  xtc_db_query("update gc_transactions set time_finished = " . strtotime("now") . ", result_payment = 5100, result_payment_msg = '" . xtc_db_input($paymentMsg) . "', tx_status = 3 where tx_id = '" . xtc_db_input($gc_tx_id) . "'");
  
  $notify->sendBadRequestStatus();
  $notify->setNotifyResponseParam('Result', 'ERROR');
  $notify->setNotifyResponseParam('ErrorMessage', $e->getMessage());
  $notify->setNotifyResponseParam('MailSent', '');
  $notify->setNotifyResponseParam('OrderId', '');
  $notify->setNotifyResponseParam('CustomerId', $iCustomerId);
  echo $notify->getNotifyResponseStringJson();
  exit;
}