<?php

/**
 * Payment Modul fur s-publicservices.de.
 *
 * @version   4.1.8
 * @author    OCS
 * @copyright 2011-2015 S-Public Services GmbH
 * @link      http://www.s-publicservices.de
 * @link      http://www.gambio.de
 * @license   http://opensource.org/licenses/gpl-2.0.php GNU Public License
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 2 of the License
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 * USA
 */

// Name des Payment Moduls
if( strtoupper($_SESSION['language_charset']) == "ISO-8859-15" ) {
  define('MODULE_PAYMENT_GC_GIROPAY_TEXT_TITLE', mb_convert_encoding('giropay - Online überweisen', 'ISO-8859-15', 'UTF-8'));
  define('MODULE_PAYMENT_GC_GIROPAY_TEXT_DESCRIPTION', mb_convert_encoding('Mit giropay zahlen Sie einfach, schnell und sicher im Online-Banking Ihrer teilnehmenden Bank oder Sparkasse. Sie werden direkt zum Online-Banking Ihrer Bank weitergeleitet, wo Sie die Überweisung durch Eingabe von PIN und TAN freigeben.', 'ISO-8859-15', 'UTF-8'));
  define( 'MODULE_PAYMENT_GC_GIROPAY_MERCHANTID_TITLE', mb_convert_encoding('Verkäufer-ID:', 'ISO-8859-15', 'UTF-8' ));
  define( 'MODULE_PAYMENT_GC_GIROPAY_MERCHANTID_DESC', mb_convert_encoding('Ihre Verkäufer-ID von s-publicservices.de', 'ISO-8859-15', 'UTF-8' ));
  define('MODULE_PAYMENT_GC_GIROPAY_DELETE_ORDER_TITLE', mb_convert_encoding('Bestellung löschen', 'ISO-8859-15', 'UTF-8'));
  define('MODULE_PAYMENT_GC_GIROPAY_DELETE_ORDER_DESC', mb_convert_encoding('Soll die Bestellung bei erfolgloser Bezahlung gelöscht werden?', 'ISO-8859-15', 'UTF-8'));
  define('MODULE_PAYMENT_GC_GIROPAY_SORT_ORDER_DESC', mb_convert_encoding('Sortierreihenfolge für die Anzeige der Zahlarten.', 'ISO-8859-15', 'UTF-8'));
  define('MODULE_PAYMENT_GC_GIROPAY_ZONE_DESC', mb_convert_encoding('Wenn eine Zone ausgewählt ist, gilt die Zahlungsmethode nur für diese Zone.', 'ISO-8859-15', 'UTF-8'));
  define('MODULE_PAYMENT_GC_GIROPAY_ALLOWED_DESC', mb_convert_encoding('Geben Sie einzeln die Zonen an, welche für dieses Modul erlaubt sein sollen. (z.B. AT,DE (wenn leer, werden alle Zonen erlaubt))', 'ISO-8859-15', 'UTF-8'));
  define( 'MODULE_PAYMENT_GC_GIROPAY_PURPOSE_DESC', mb_convert_encoding('Sie können in Ihrem Verwendungszweck die folgenden Platzhalter verwenden:
    {ORDERID}: Bestellnummer
    {CUSTOMERID}: Kundennummer
    {SHOPNAME}: Shop Name 
    {CUSTOMERNAME}: Kundenname
    {CUSTOMERFIRSTNAME}: Kunde Vorname 
    {CUSTOMERLASTNAME}: Kunde Nachname

  Beispiel: Wenn Ihr Verwendungszweck "Best. 55342, TestShop" lauten soll, dann müssen Sie folgendes angeben: "Best. {ORDERID}, {SHOPNAME}".
  Die maximale Länge beträgt 27 Zeichen.', 'ISO-8859-15', 'UTF-8'));
}
else {
  define('MODULE_PAYMENT_GC_GIROPAY_TEXT_TITLE', 'giropay - Online überweisen');
  define('MODULE_PAYMENT_GC_GIROPAY_TEXT_DESCRIPTION', 'Mit giropay zahlen Sie einfach, schnell und sicher im Online-Banking Ihrer teilnehmenden Bank oder Sparkasse. Sie werden direkt zum Online-Banking Ihrer Bank weitergeleitet, wo Sie die Überweisung durch Eingabe von PIN und TAN freigeben.');
  define( 'MODULE_PAYMENT_GC_GIROPAY_MERCHANTID_TITLE', 'Verkäufer-ID:' );
  define( 'MODULE_PAYMENT_GC_GIROPAY_MERCHANTID_DESC', 'Ihre Verkäufer-ID von s-publicservices.de' );
  define('MODULE_PAYMENT_GC_GIROPAY_DELETE_ORDER_TITLE', 'Bestellung löschen');
  define('MODULE_PAYMENT_GC_GIROPAY_DELETE_ORDER_DESC', 'Soll die Bestellung bei erfolgloser Bezahlung gelöscht werden?');
  define('MODULE_PAYMENT_GC_GIROPAY_SORT_ORDER_DESC', 'Sortierreihenfolge für die Anzeige der Zahlarten.');
  define('MODULE_PAYMENT_GC_GIROPAY_ZONE_DESC', 'Wenn eine Zone ausgewählt ist, gilt die Zahlungsmethode nur für diese Zone.');
  define('MODULE_PAYMENT_GC_GIROPAY_ALLOWED_DESC', 'Geben Sie einzeln die Zonen an, welche für dieses Modul erlaubt sein sollen. (z.B. AT,DE (wenn leer, werden alle Zonen erlaubt))');
  define( 'MODULE_PAYMENT_GC_GIROPAY_PURPOSE_DESC', 'Sie können in Ihrem Verwendungszweck die folgenden Platzhalter verwenden:
    {ORDERID}: Bestellnummer
    {CUSTOMERID}: Kundennummer
    {SHOPNAME}: Shop Name 
    {CUSTOMERNAME}: Kundenname
    {CUSTOMERFIRSTNAME}: Kunde Vorname 
    {CUSTOMERLASTNAME}: Kunde Nachname

  Beispiel: Wenn Ihr Verwendungszweck "Best. 55342, TestShop" lauten soll, dann müssen Sie folgendes angeben: "Best. {ORDERID}, {SHOPNAME}".
  Die maximale Länge beträgt 27 Zeichen.');
}

// Texte für Administration
define('MODULE_PAYMENT_GC_GIROPAY_STATUS_TITLE', 'giropay:');
define('MODULE_PAYMENT_GC_GIROPAY_STATUS_DESC', 'Bezahlung per giropay akzeptieren?');
define( 'MODULE_PAYMENT_GC_GIROPAY_PROJECTID_TITLE', 'Projekt-ID:' );
define( 'MODULE_PAYMENT_GC_GIROPAY_PROJECTID_DESC', 'Ihre Projekt-ID bei s-publicservices.de' );
define( 'MODULE_PAYMENT_GC_GIROPAY_PASSWORD_TITLE', 'Projekt-Passwort:' );
define( 'MODULE_PAYMENT_GC_GIROPAY_PASSWORD_DESC', 'Ihre Projekt-Passwort bei s-publicservices.de' );

define('MODULE_PAYMENT_GC_GIROPAY_SORT_ORDER_TITLE', 'Sortierreihenfolge:');
define('MODULE_PAYMENT_GC_GIROPAY_ZONE_TITLE', 'Zahlungszone:');
define('MODULE_PAYMENT_GC_GIROPAY_ALLOWED_TITLE', 'Erlaubte Zonen:');
define('MODULE_PAYMENT_GC_GIROPAY_ORDER_STATUS_ID_ERROR_TITLE', 'Bestellstatus - Abbruch:');
define('MODULE_PAYMENT_GC_GIROPAY_ORDER_STATUS_ID_ERROR_DESC', 'Dieser Status wird gesetzt wenn die Bezahlung abgebrochen wurde.');
define('MODULE_PAYMENT_GC_GIROPAY_ORDER_STATUS_ID_OK_TITLE', 'Bestellstatus - Erfolgreich:');
define('MODULE_PAYMENT_GC_GIROPAY_ORDER_STATUS_ID_OK_DESC', 'Dieser Status wird gesetzt wenn die Bezahlung erfolgreich war.');
define('MODULE_PAYMENT_GC_GIROPAY_ORDER_STATUS_ID_TEMP_TITLE', 'Bestellstatus - Neue Bestellung:');
define('MODULE_PAYMENT_GC_GIROPAY_ORDER_STATUS_ID_TEMP_DESC', 'Dieser Status wird zu Beginn der Bezahlung gesetzt.');
define('MODULE_PAYMENT_GC_GIROPAY_BIC_TITLE', 'Bank (BIC):');
define('MODULE_PAYMENT_GC_GIROPAY_BIC_TEXTINPUTINFO', '(Suchen Sie nach Bankname, BLZ, Ort oder BIC)');   

define( 'MODULE_PAYMENT_GC_GIROPAY_BIC_MISSING', 'Bitte geben Sie eine BIC an.' );
define( 'MODULE_PAYMENT_GC_GIROPAY_PURPOSE_TITLE', 'Verwendungszweck');
