<?php

/**
 * Payment Modul fur s-publicservices.de.
 *
 * @version   4.1.8
 * @author    OCS
 * @copyright 2011-2015 S-Public Services GmbH
 * @link      http://www.s-publicservices.de
 * @link      http://www.gambio.de
 * @license   http://opensource.org/licenses/gpl-2.0.php GNU Public License
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 2 of the License
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 * USA
 */

// Name des Payment Moduls
if( strtoupper($_SESSION['language_charset']) == "ISO-8859-15" ) {
  define('MODULE_PAYMENT_GC_IDEAL_TEXT_TITLE', mb_convert_encoding('iDEAL - Online überweisen (NL)', 'ISO-8859-15', 'UTF-8'));
  // Einleitungstext in der Administration
  define('MODULE_PAYMENT_GC_IDEAL_TEXT_DESCRIPTION', mb_convert_encoding('iDEAL ist das Online Überweisungssystem der niederländischen Banken, das auf dem etablierten Onlinebanking-Verfahren der Kreditinstitute basiert. Im folgenden müssen Sie Ihre Bank auswählen und können anschließend die Zahlung in Ihrem Online-Banking durchführen.', 'ISO-8859-15', 'UTF-8'));
  define( 'MODULE_PAYMENT_GC_IDEAL_MERCHANTID_TITLE', mb_convert_encoding('Verkäufer-ID:', 'ISO-8859-15', 'UTF-8' ));
  define( 'MODULE_PAYMENT_GC_IDEAL_MERCHANTID_DESC', mb_convert_encoding('Ihre Verkäufer-ID von s-publicservices.de', 'ISO-8859-15', 'UTF-8' ));
  define('MODULE_PAYMENT_GC_IDEAL_DELETE_ORDER_TITLE', mb_convert_encoding('Bestellung löschen', 'ISO-8859-15', 'UTF-8'));
  define('MODULE_PAYMENT_GC_IDEAL_DELETE_ORDER_DESC', mb_convert_encoding('Soll die Bestellung bei erfolgloser Bezahlung gelöscht werden?', 'ISO-8859-15', 'UTF-8'));
  define('MODULE_PAYMENT_GC_IDEAL_SORT_ORDER_DESC', mb_convert_encoding('Sortierreihenfolge für die Anzeige der Zahlarten.', 'ISO-8859-15', 'UTF-8'));
  define('MODULE_PAYMENT_GC_IDEAL_ZONE_DESC', mb_convert_encoding('Wenn eine Zone ausgewählt ist, gilt die Zahlungsmethode nur für diese Zone.', 'ISO-8859-15', 'UTF-8'));
  define('MODULE_PAYMENT_GC_IDEAL_ALLOWED_DESC', mb_convert_encoding('Geben Sie einzeln die Zonen an, welche für dieses Modul erlaubt sein sollen. (z.B. AT,DE (wenn leer, werden alle Zonen erlaubt))', 'ISO-8859-15', 'UTF-8'));
  define('MODULE_PAYMENT_GC_IDEAL_ISSUER_MISSING', mb_convert_encoding('Bitte wählen Sie Ihre Bank aus.', 'ISO-8859-15', 'UTF-8'));
  define('MODULE_PAYMENT_GC_IDEAL_PURPOSE_DESC', mb_convert_encoding('Sie können in Ihrem Verwendungszweck die folgenden Platzhalter verwenden:
    {ORDERID}: Bestellnummer
    {CUSTOMERID}: Kundennummer
    {SHOPNAME}: Shop Name 
    {CUSTOMERNAME}: Kundenname
    {CUSTOMERFIRSTNAME}: Kunde Vorname 
    {CUSTOMERLASTNAME}: Kunde Nachname

  Beispiel: Wenn Ihr Verwendungszweck "Best. 55342, TestShop" lauten soll, dann müssen Sie folgendes angeben: "Best. {ORDERID}, {SHOPNAME}".
  Die maximale Länge beträgt 27 Zeichen.', 'ISO-8859-15', 'UTF-8'));
}
else {
  define('MODULE_PAYMENT_GC_IDEAL_TEXT_TITLE', 'iDEAL - Online überweisen (NL)');
  // Einleitungstext in der Administration
  define('MODULE_PAYMENT_GC_IDEAL_TEXT_DESCRIPTION', 'iDEAL ist das Online Überweisungssystem der niederländischen Banken, das auf dem etablierten Onlinebanking-Verfahren der Kreditinstitute basiert. Im folgenden müssen Sie Ihre Bank auswählen und können anschließend die Zahlung in Ihrem Online-Banking durchführen.');
  define( 'MODULE_PAYMENT_GC_IDEAL_MERCHANTID_TITLE', 'Verkäufer-ID:' );
  define( 'MODULE_PAYMENT_GC_IDEAL_MERCHANTID_DESC', 'Ihre Verkäufer-ID von s-publicservices.de' );
  define('MODULE_PAYMENT_GC_IDEAL_DELETE_ORDER_TITLE', 'Bestellung löschen');
  define('MODULE_PAYMENT_GC_IDEAL_DELETE_ORDER_DESC', 'Soll die Bestellung bei erfolgloser Bezahlung gelöscht werden?');
  define('MODULE_PAYMENT_GC_IDEAL_SORT_ORDER_DESC', 'Sortierreihenfolge für die Anzeige der Zahlarten.');
  define('MODULE_PAYMENT_GC_IDEAL_ZONE_DESC', 'Wenn eine Zone ausgewählt ist, gilt die Zahlungsmethode nur für diese Zone.');
  define('MODULE_PAYMENT_GC_IDEAL_ALLOWED_DESC', 'Geben Sie einzeln die Zonen an, welche für dieses Modul erlaubt sein sollen. (z.B. AT,DE (wenn leer, werden alle Zonen erlaubt))');
  define('MODULE_PAYMENT_GC_IDEAL_ISSUER_MISSING', 'Bitte wählen Sie Ihre Bank aus.');
  define('MODULE_PAYMENT_GC_IDEAL_PURPOSE_DESC', 'Sie können in Ihrem Verwendungszweck die folgenden Platzhalter verwenden:
    {ORDERID}: Bestellnummer
    {CUSTOMERID}: Kundennummer
    {SHOPNAME}: Shop Name 
    {CUSTOMERNAME}: Kundenname
    {CUSTOMERFIRSTNAME}: Kunde Vorname 
    {CUSTOMERLASTNAME}: Kunde Nachname

  Beispiel: Wenn Ihr Verwendungszweck "Best. 55342, TestShop" lauten soll, dann müssen Sie folgendes angeben: "Best. {ORDERID}, {SHOPNAME}".
  Die maximale Länge beträgt 27 Zeichen.');
}

// Texte für Administration
define('MODULE_PAYMENT_GC_IDEAL_STATUS_TITLE', 'iDEAL:');
define('MODULE_PAYMENT_GC_IDEAL_STATUS_DESC', 'Bezahlung per iDEAL akzeptieren?');
define( 'MODULE_PAYMENT_GC_IDEAL_PROJECTID_TITLE', 'Projekt-ID:' );
define( 'MODULE_PAYMENT_GC_IDEAL_PROJECTID_DESC', 'Ihre Projekt-ID bei s-publicservices.de' );
define( 'MODULE_PAYMENT_GC_IDEAL_PASSWORD_TITLE', 'Projekt-Passwort:' );
define( 'MODULE_PAYMENT_GC_IDEAL_PASSWORD_DESC', 'Ihre Projekt-Passwort bei s-publicservices.de' );
define('MODULE_PAYMENT_GC_IDEAL_SORT_ORDER_TITLE', 'Sortierreihenfolge:');
define('MODULE_PAYMENT_GC_IDEAL_ZONE_TITLE', 'Zahlungszone:');
define('MODULE_PAYMENT_GC_IDEAL_ALLOWED_TITLE', 'Erlaubte Zonen:');
define('MODULE_PAYMENT_GC_IDEAL_ORDER_STATUS_ID_ERROR_TITLE', 'Bestellstatus - Abbruch:');
define('MODULE_PAYMENT_GC_IDEAL_ORDER_STATUS_ID_ERROR_DESC', 'Dieser Status wird gesetzt wenn die Bezahlung abgebrochen wurde.');
define('MODULE_PAYMENT_GC_IDEAL_ORDER_STATUS_ID_OK_TITLE', 'Bestellstatus - Erfolgreich:');
define('MODULE_PAYMENT_GC_IDEAL_ORDER_STATUS_ID_OK_DESC', 'Dieser Status wird gesetzt wenn die Bezahlung erfolgreich war.');
define('MODULE_PAYMENT_GC_IDEAL_ORDER_STATUS_ID_TEMP_TITLE', 'Bestellstatus - Neue Bestellung:');
define('MODULE_PAYMENT_GC_IDEAL_ORDER_STATUS_ID_TEMP_DESC', 'Dieser Status wird zu Beginn der Bezahlung gesetzt.');
define('MODULE_PAYMENT_GC_IDEAL_ISSUER_LIST_DESC', 'Issuer list:');
define('MODULE_PAYMENT_GC_IDEAL_NOISSUERS_ERROR_DESC', '<i>bankenliste nicht geladen.</i>');

define('MODULE_PAYMENT_GC_IDEAL_PURPOSE_TITLE', 'Verwendungszweck');
